import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getAntiSpywareProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getAntiSpywareProfile(args: GetAntiSpywareProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetAntiSpywareProfileResult>;
/**
 * A collection of arguments for invoking getAntiSpywareProfile.
 */
export interface GetAntiSpywareProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getAntiSpywareProfile.
 */
export interface GetAntiSpywareProfileResult {
    /**
     * The CloudInlineAnalysis param. Default: `false`.
     */
    readonly cloudInlineAnalysis: boolean;
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The InlineExceptionEdlUrls param.
     */
    readonly inlineExceptionEdlUrls: string[];
    /**
     * The InlineExceptionIpAddresses param.
     */
    readonly inlineExceptionIpAddresses: string[];
    /**
     * The MicaEngineSpywareEnabledList param.
     */
    readonly micaEngineSpywareEnabledLists: outputs.GetAntiSpywareProfileMicaEngineSpywareEnabledList[];
    /**
     * The Name param.
     */
    readonly name: string;
    /**
     * The Rules param.
     */
    readonly rules: outputs.GetAntiSpywareProfileRule[];
    readonly tfid: string;
    /**
     * The ThreatExceptions param.
     */
    readonly threatExceptions: outputs.GetAntiSpywareProfileThreatException[];
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getAntiSpywareProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getAntiSpywareProfileOutput(args: GetAntiSpywareProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAntiSpywareProfileResult>;
/**
 * A collection of arguments for invoking getAntiSpywareProfile.
 */
export interface GetAntiSpywareProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
