import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getExternalDynamicList({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getExternalDynamicList(args: GetExternalDynamicListArgs, opts?: pulumi.InvokeOptions): Promise<GetExternalDynamicListResult>;
/**
 * A collection of arguments for invoking getExternalDynamicList.
 */
export interface GetExternalDynamicListArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getExternalDynamicList.
 */
export interface GetExternalDynamicListResult {
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * Alphanumeric string [ 0-9a-zA-Z._-]. String length must not exceed 63 characters.
     */
    readonly name: string;
    readonly tfid: string;
    /**
     * The Type param.
     */
    readonly type: outputs.GetExternalDynamicListType;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getExternalDynamicList({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getExternalDynamicListOutput(args: GetExternalDynamicListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetExternalDynamicListResult>;
/**
 * A collection of arguments for invoking getExternalDynamicList.
 */
export interface GetExternalDynamicListOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
