import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getHipProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getHipProfile(args: GetHipProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetHipProfileResult>;
/**
 * A collection of arguments for invoking getHipProfile.
 */
export interface GetHipProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getHipProfile.
 */
export interface GetHipProfileResult {
    /**
     * The Description param. String length must not exceed 255 characters.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Match param. String length must not exceed 2048 characters.
     */
    readonly match: string;
    /**
     * Alphanumeric string [ 0-9a-zA-Z._-]. String length must not exceed 31 characters.
     */
    readonly name: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getHipProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getHipProfileOutput(args: GetHipProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetHipProfileResult>;
/**
 * A collection of arguments for invoking getHipProfile.
 */
export interface GetHipProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
