import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getInternalDnsServer({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getInternalDnsServer(args: GetInternalDnsServerArgs, opts?: pulumi.InvokeOptions): Promise<GetInternalDnsServerResult>;
/**
 * A collection of arguments for invoking getInternalDnsServer.
 */
export interface GetInternalDnsServerArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getInternalDnsServer.
 */
export interface GetInternalDnsServerResult {
    /**
     * The DomainNames param.
     */
    readonly domainNames: string[];
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    /**
     * The Primary param.
     */
    readonly primary: string;
    /**
     * The Secondary param.
     */
    readonly secondary: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getInternalDnsServer({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getInternalDnsServerOutput(args: GetInternalDnsServerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInternalDnsServerResult>;
/**
 * A collection of arguments for invoking getInternalDnsServer.
 */
export interface GetInternalDnsServerOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
