import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getLocalUser({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getLocalUser(args: GetLocalUserArgs, opts?: pulumi.InvokeOptions): Promise<GetLocalUserResult>;
/**
 * A collection of arguments for invoking getLocalUser.
 */
export interface GetLocalUserArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getLocalUser.
 */
export interface GetLocalUserResult {
    /**
     * The Disabled param.
     */
    readonly disabled: boolean;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param. String length must not exceed 31 characters.
     */
    readonly name: string;
    /**
     * The Password param. String length must not exceed 63 characters.
     */
    readonly password: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getLocalUser({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getLocalUserOutput(args: GetLocalUserOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocalUserResult>;
/**
 * A collection of arguments for invoking getLocalUser.
 */
export interface GetLocalUserOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
